#===============================================================================
# Computation of empirical ROC A.g (using the trpezoial rule)
#===============================================================================
deci <- 3

#----------------- LOAD MODRL ------------------------------------------------
# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
# FILE NAMES FOR ESTIMATION 
Aux      <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Aux, sep = ""))

# TEST 1:  Macmillan & Creelman (2005), p.57
new.items <- c(30, 23, 37,  8,  2)
old.items <- c( 4,  5, 15, 15, 61)
Ag1 <- ROC.Ag(new.items, old.items, T)

# TEST 2:  Macmillan & Creelman (2005), p.57
new.items <- c(29, 21, 28, 18,  4)
old.items <- c( 9, 11, 18, 25, 37)
Ag2 <- ROC.Ag(new.items, old.items, T)

# TEST 4: Macdonald & Good (1996), P. 591
new.items <- c(70, 20, 10)
old.items <- c(20, 20, 60)
Ag3 <- ROC.Ag(new.items, old.items)


cat("\n-----------------------------------------------------------------------\n")
cat(" Macmillan & Creelman (2005, p57): Ag =", round(Ag1, deci), "\n")
cat(" Macmillan & Creelman (2005, p57): Ag =", round(Ag2, deci), "\n")
cat(" Macdonald & Good (1996), P. 591); Ag =", round(Ag3, deci))
cat("\n-----------------------------------------------------------------------\n")

