# ================================================================
# Ex.2: MIX-Rank model
# Estimation of the ranking-rating mixture model
# Data: From the author
#
# Date of creation: July, 2013
# Autor: Siegfried Macho
# ================================================================

# Names of directories: PLEASE ADJUST TO YOUR PERSONAL SETTING
Dir  <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/"
DirM <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# Names of the source files required for estimating the data
NameS <- "SDT-Main.R"
NameA <- "SDT-Auxiliary.R"
NameM <- "MIX-Rank.R"

# Load source files
source(paste(Dir,  NameA, sep = ""))
source(paste(Dir,  NameS, sep = ""))
source(paste(DirM, NameM, sep = ""))

# Data vector 
dvec <- c(2327, 873,                         # 1. 2-AFC data	
           739, 351, 295, 215)               # 2. 4-AFC data

#===============================================================================
# 1. Estimation of ranking data only
#===============================================================================
cfg <- list(j.rg = c(2, 4), rating = F)

Opti1.Obj <- SDT.Estimate(data = dvec, n = cfg, Model.Id = "MIX.Rank", test = T)
Stat1.Obj <- SDT.Statistics(Opti1.Obj)			# Evaluate the results
cat("\n-------------------------------------------------------------------------\n")
cat(" MIX-Rank 1:\n")
cat(" Modeling of ranking data (2-AFC and 4-AFC) using standard restrictions")
cat("\n-------------------------------------------------------------------------\n")
print(Stat1.Obj)

#===============================================================================
# 2. Estimation of ranking data only: SDT - Model
#===============================================================================
cfg <- list(j.rg = c(2, 4), rating = F, restriction = "SDT")

Opti2.Obj <- SDT.Estimate(data = dvec, n = cfg, Model.Id = "MIX.Rank", test = T)
Stat2.Obj <- SDT.Statistics(Opti2.Obj)			# Evaluate the results
cat("\n-------------------------------------------------------------------------\n")
cat(" MIX-Rank 2:\n")
cat(" Modeling o ranking data (2-AFC and 4-AFC) using SDT restrictions")
cat("\n-------------------------------------------------------------------------\n")
print(Stat2.Obj)

#===============================================================================
# 3. Estimation of ranking data only: Extended mixture - Model
#===============================================================================
cfg <- list(j.rg = c(2, 4), rating = F, restriction = "extended")

Opti3.Obj <- SDT.Estimate(data = dvec, n = cfg, Model.Id = "MIX.Rank", test = T)
Stat3.Obj <- SDT.Statistics(Opti3.Obj)			# Evaluate the results
cat("\n-------------------------------------------------------------------------\n")
cat(" MIX-Rank 2:\n")
cat(" Modeling o ranking data (2-AFC and 4-AFC) using EXTENDED restrictions")
cat("\n-------------------------------------------------------------------------\n")
print(Stat3.Obj)