#===============================================================================
# Computation of the slope and intercept of first principle component of the z-ROC
# Source: Vokey (2016)
#===============================================================================
deci <- 3

#----------------- MODELL LADEN ------------------------------------------------
# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
# FILE NAMES FOR ESTIMATION 
Aux      <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Aux, sep = ""))

# Data: Vokey (2016)
new.items <- c(334, 99, 26, 42, 43, 47)
old.items <- c(81, 44, 26, 32, 66, 348)
PCA <- ROC.PCA(new.items, old.items)

cat("\n-----------------------------------------------------------------------\n")
cat(" PCA-solution (Data: Vokey (2016), page 10):")
cat("\n-----------------------------------------------------------------------\n")
print(PCA)

# Data: Vokey (2016)
new.items    <- c(788, 1585, 1160, 656, 555, 299)
strong.items <- c(172,  355,  345, 283, 308, 432)
weak.items   <- c(261,  551,  414, 280, 223, 165)
PCA.weak <- ROC.PCA(new.items, weak.items, deci = 3)
PCA.strong <- ROC.PCA(new.items, strong.items)

cat("\n-----------------------------------------------------------------------\n")
cat(" PCA-solution (Data: Vokey (2016), page 9, weak data):")
cat("\n-----------------------------------------------------------------------\n")
print(PCA.weak)

cat("\n-----------------------------------------------------------------------\n")
cat(" PCA-solution (Data: Vokey (2016), page 9, strong data):")
cat("\n-----------------------------------------------------------------------\n")
print(PCA.strong)