# ================================================================
# Examples of the documentation of SDT:
# SDT-2.3: Illustration of the function SDT.Estimate (3 signals)
# Data:    Ratcliff et al. 1994, Exp.1, mixed lists
#
# Date of last update: May, 2019
# Author: Siegfried Macho
# ================================================================
library(numDeriv)

# DIRECTORIES (PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/"
DirSourceM <- "C:/Users/macho/Documents/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# FILE NAME WITH THE MODEL 
Model <- "SDT-SDT.R"

# FILE NAMES FOR ESTIMATION 
Main      <- "SDT-Main.R"
Auxiliary <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH SDT MODEL
source(paste(DirSourceM, Model, sep = ""))

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Auxiliary, sep = ""))
source(paste(DirSource, Main, sep = ""))


# DATA OF RATCLIFF ET AL. (1994, Exp.1, mixed lists)
datavec <- c(788, 1585, 1160, 656, 555, 299,   # New
             261,  551,  414, 280, 223, 165,   # Mixed weak
             172,  355,  345, 283, 308, 432)   # Mixed strong

cfg <- list(n.sdt = 3)
Opti.Obj <- SDT.Estimate(data = datavec, n = cfg, test = T)

Stat.Obj <- SDT.Statistics(Opti.Obj)			# Evaluate the results

cat("\n-----------------------------------------------------------------------\n")
cat(" Data of Ratcliff et al. (1994), Exp.1, mixed lists")
cat("\n-----------------------------------------------------------------------\n")
print(Stat.Obj)