# ================================================================
# Examples of the documentation of SDT:
# SDT-4.3: Computation of likeihood ratio confidence intervals
#          with 4 signal types
#
# Date of last update, August, 2013
# Author: Siegfried Macho
# ================================================================

library(numDeriv)

# DIRECTORIES (my computer, PLEASE ADJUST TO YOUR PERSONAL SETTING)
DirSource <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/"			
DirSourceM <- "C:/Documents and Settings/macho/Statistik/_SDT-Models (Version 2)/R-Code/Models/"

# FILE NAME WITH THE MODEL 
Model <- "SDT-SDT.R"

# FILE NAMES FOR ESTIMATION 
Main      <- "SDT-Main.R"
Auxiliary <- "SDT-Auxiliary.R"

# LOAD SOURCE FILES WITH SDT MODEL
source(paste(DirSourceM, Model, sep = ""))

# LOAD SOURCE FILES WITH AUXILIARY AND ESTIMATION FUNCTIONS
source(paste(DirSource, Auxiliary, sep = ""))
source(paste(DirSource, Main, sep = ""))

n <- 4				# NUMBER OF SIGNALS

# DATA RATCLIFF ET AL. (1994, Exp.1, 200 and 50 ms pure lists)
data <- c(477, 776, 527, 321, 258, 184,		# Pure Strong New 
	    192, 401, 290, 267, 316, 442,		# Pure Strong Old
	    235, 649, 719, 442, 254, 156,		# Pure Weak   New
	    151, 496, 480, 350, 221, 142)		# Pure Weak   Old

# ESTIMATE MODEL
Opti.Obj <- SDT.Estimate(data = data, n = n, test = T)

# EVALUTE THE RESULTS
Stat.Obj <- SDT.Statistics(Opti.Obj, control = list(LR = T))

# PRINT THE RESULTS
cat("\n====================================\n")
cat(" Result of the 4 group SDT-model:")
cat("\n====================================\n")
print(Stat.Obj)


